package com.qmth.eds.api;


import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.eds.bean.dto.syssetting.SettingObject;
import com.qmth.eds.bean.result.EditResult;
import com.qmth.eds.common.util.Result;
import com.qmth.eds.common.util.ResultUtil;
import com.qmth.eds.service.SysSettingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 系统设置 前端控制器
 * </p>
 */
@Api(tags = "系统设置controller")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/sys_setting")
@Validated
public class SysSettingController {

    @Resource
    private SysSettingService sysSettingService;

    @ApiOperation(value = "查询")
    @PostMapping("/get")
    @ApiResponses({@ApiResponse(code = 200, message = "查询成功", response = Result.class)})
    public Result getData() {
        return ResultUtil.ok(sysSettingService.getData());
    }


    @ApiOperation(value = "新增/修改")
    @PostMapping("/save")
    @ApiResponses({@ApiResponse(code = 200, message = "保存/更新成功", response = EditResult.class)})
    public Result save(@RequestBody List<SettingObject> simpleObjectList) {
        return ResultUtil.ok(sysSettingService.saveData(simpleObjectList));
    }

}
