package com.qmth.eds.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 赋分计算result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/5/24
 */
public class AssignContrastResult implements Serializable {

    @ApiModelProperty(value = "总体有效人数")
    Integer size;

    @ApiModelProperty(value = "赋分前平均分")
    BigDecimal assignBeforeAverageScore;

    @ApiModelProperty(value = "赋分前不及格率")
    BigDecimal assignBeforeFailRate;

    @ApiModelProperty(value = "赋分前不及格人数")
    Integer assignBeforeFailCount;

    @ApiModelProperty(value = "赋分后平均分")
    BigDecimal assignAfterAverageScore;

    @ApiModelProperty(value = "赋分后不及格率")
    BigDecimal assignAfterFailRate;

    @ApiModelProperty(value = "赋分后不及格人数")
    Integer assignAfterFailCount;

    public AssignContrastResult() {

    }

    public AssignContrastResult(Integer size, BigDecimal assignBeforeAverageScore, BigDecimal assignBeforeFailRate, Integer assignBeforeFailCount,
                                BigDecimal assignAfterAverageScore, BigDecimal assignAfterFailRate, Integer assignAfterFailCount) {
        this.size = size;
        this.assignBeforeAverageScore = assignBeforeAverageScore;
        this.assignBeforeFailCount = assignBeforeFailCount;
        this.assignBeforeFailRate = assignBeforeFailRate;
        this.assignAfterAverageScore = assignAfterAverageScore;
        this.assignAfterFailCount = assignAfterFailCount;
        this.assignAfterFailRate = assignAfterFailRate;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public BigDecimal getAssignBeforeAverageScore() {
        return assignBeforeAverageScore;
    }

    public void setAssignBeforeAverageScore(BigDecimal assignBeforeAverageScore) {
        this.assignBeforeAverageScore = assignBeforeAverageScore;
    }

    public BigDecimal getAssignBeforeFailRate() {
        return assignBeforeFailRate;
    }

    public void setAssignBeforeFailRate(BigDecimal assignBeforeFailRate) {
        this.assignBeforeFailRate = assignBeforeFailRate;
    }

    public BigDecimal getAssignAfterAverageScore() {
        return assignAfterAverageScore;
    }

    public void setAssignAfterAverageScore(BigDecimal assignAfterAverageScore) {
        this.assignAfterAverageScore = assignAfterAverageScore;
    }

    public BigDecimal getAssignAfterFailRate() {
        return assignAfterFailRate;
    }

    public void setAssignAfterFailRate(BigDecimal assignAfterFailRate) {
        this.assignAfterFailRate = assignAfterFailRate;
    }

    public Integer getAssignBeforeFailCount() {
        return assignBeforeFailCount;
    }

    public void setAssignBeforeFailCount(Integer assignBeforeFailCount) {
        this.assignBeforeFailCount = assignBeforeFailCount;
    }

    public Integer getAssignAfterFailCount() {
        return assignAfterFailCount;
    }

    public void setAssignAfterFailCount(Integer assignAfterFailCount) {
        this.assignAfterFailCount = assignAfterFailCount;
    }
}
