package com.qmth.eds.common.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.eds.core.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 学期表
 */
@ApiModel(value = "ExamSemester对象", description = "学期表")
public class ExamSyncTotal extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "同步日期")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long syncDate;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    @ApiModelProperty(value = "学期id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long semesterId;

    @ApiModelProperty(value = "学期名称")
    private String semesterName;

    @ApiModelProperty(value = "考试类型id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examTypeId;

    @ApiModelProperty(value = "考试类型名称")
    private String examTypeName;

    @ApiModelProperty(value = "学院数量")
    private Integer colleges;

    @ApiModelProperty(value = "科目数量")
    private Integer subjects;

    @ApiModelProperty(value = "科次")
    private Integer students;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件地址")
    private String filePath;

    @ApiModelProperty(value = "是否可以下载")
    private Boolean downloadStatus;

    @ApiModelProperty(value = "数据md5值")
    private String dataMd5;

    @ApiModelProperty(value = "是否使用文件")
    private Boolean useFile;

    public ExamSyncTotal() {
    }

    public ExamSyncTotal(Long syncDate, Long schoolId, String schoolName, Long semesterId, String semesterName, Long examTypeId, String examTypeName, Integer colleges, Integer subjects, Integer students, String dataMd5) {
        this.syncDate = syncDate;
        this.schoolId = schoolId;
        this.schoolName = schoolName;
        this.semesterId = semesterId;
        this.semesterName = semesterName;
        this.examTypeId = examTypeId;
        this.examTypeName = examTypeName;
        this.colleges = colleges;
        this.subjects = subjects;
        this.students = students;
        this.dataMd5 = dataMd5;
        this.downloadStatus = true;
        this.useFile = false;
    }

    public Long getSyncDate() {
        return syncDate;
    }

    public void setSyncDate(Long syncDate) {
        this.syncDate = syncDate;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public Long getExamTypeId() {
        return examTypeId;
    }

    public void setExamTypeId(Long examTypeId) {
        this.examTypeId = examTypeId;
    }

    public String getExamTypeName() {
        return examTypeName;
    }

    public void setExamTypeName(String examTypeName) {
        this.examTypeName = examTypeName;
    }

    public Integer getColleges() {
        return colleges;
    }

    public void setColleges(Integer colleges) {
        this.colleges = colleges;
    }

    public Integer getSubjects() {
        return subjects;
    }

    public void setSubjects(Integer subjects) {
        this.subjects = subjects;
    }

    public Integer getStudents() {
        return students;
    }

    public void setStudents(Integer students) {
        this.students = students;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public Boolean getDownloadStatus() {
        return downloadStatus;
    }

    public void setDownloadStatus(Boolean downloadStatus) {
        this.downloadStatus = downloadStatus;
    }

    public String getDataMd5() {
        return dataMd5;
    }

    public void setDataMd5(String dataMd5) {
        this.dataMd5 = dataMd5;
    }

    public Boolean getUseFile() {
        return useFile;
    }

    public void setUseFile(Boolean useFile) {
        this.useFile = useFile;
    }
}
